<?php
/**
 * @package n3t Article
 * @author Pavel Poles - n3t.cz
 * @copyright (c) 2012 - 2017 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// no direct access
defined('_JEXEC') or die;

require_once __DIR__ . '/helper.php';

$article_id = $params->get('articleid');

$cacheid = md5(serialize(array ($article_id, $module->module)));

$cacheparams               = new stdClass;
$cacheparams->cachemode    = 'id';
$cacheparams->class        = 'modN3tArticleHelper';
$cacheparams->method       = 'getArticle';
$cacheparams->methodparams = $params;
$cacheparams->modeparams   = $cacheid;

JFactory::getLanguage()->load('com_content');
JHtml::addIncludePath( JPATH_BASE.'/components/com_content/helpers');

$item = JModuleHelper::moduleCache($module, $params, $cacheparams);

if (!empty($item)) 
{  
  $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx')); 
  require JModuleHelper::getLayoutPath('mod_n3tarticle', $params->get('layout', 'default'));
}  
